System.Design 2.0.0.0 System.Object

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

Represents a column of a table or view in the data store accessed through a data connection. This class cannot be inherited.

- Constructor
  2.0.0.0

  Use the to set the and properties. All other properties are set to their default values.

  Initializes a new instance of the class with the specified name and data type.

  The name identifying the column in the data store.
  One of the values.
- Constructor
  2.0.0.0

  Use the constructor to set the , , and properties. All other properties are set to their default values.

  Initializes a new instance of the class with the specified name, data type, and default value.

  The name identifying the column in the data store.
  One of the values.
  The default value of the column.
- Constructor
  2.0.0.0

  Use the constructor to set all the properties of a object.

  Initializes a new instance of the class with the specified values.

  The name identifying the column in the data store.
  One of the values.
  The default value of the column
  true if the field is the identity field of the data row; otherwise, false.
  true if the field can be null in the data store; otherwise, false.
  true if the field is the primary key of the data row; otherwise, false.
  The maximum number of digits used by a numeric data field.
  The maximum number of digits to the right of the decimal point in a numeric data field.
  The length of the data field, in bytes.
- Property
  2.0.0.0
  System.Data.DbType To be added. To be added.

  Gets the data type of the data column.

- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets the default value of the data column.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the data column is an identity column for the data row.

- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the length in bytes of the data column.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the name of the column in the data store.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the column can be null in the data store.

- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of digits in a numeric data column.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the column is part of the table's primary key.

- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of digits to the right of the decimal point in a numeric column.